All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::amg::classcomp Struct Reference

Comparison class for the sorted set of points in amg_pointvector. Set is sorted by influence measure from lower to higher with the point-index as tie-breaker. More...

`#include <amg_base.hpp>`

## Public Member Functions

bool | operator() (amg_point *l, amg_point *r) const

## Detailed Description

Comparison class for the sorted set of points in amg_pointvector. Set is sorted by influence measure from lower to higher with the point-index as tie-breaker.

Definition at line 930 of file amg_base.hpp.

## Member Function Documentation

bool viennacl::linalg::detail::amg::classcomp::operator() | ( | amg_point * | l,
|  | amg_point * | r
| ) |  | const

inline

Definition at line 933 of file amg_base.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/amg/amg_base.hpp